Get your subscription
curl --request GET \
--url https://api.hi-doctor.ai/v1/users/subscriptions/me/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hi-doctor.ai/v1/users/subscriptions/me/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hi-doctor.ai/v1/users/subscriptions/me/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscription": {
"id": "0a1b2c3d-4e5f-4a6b-8c9d-000000000006",
"status": "active",
"price_cents": 2500,
"currency": "EUR",
"started_at": "2026-05-25T08:00:00Z",
"current_period_start": "2026-07-27T08:00:00Z",
"current_period_end": "2026-08-24T08:00:00Z",
"cancel_at_period_end": false,
"canceled_at": null,
"treatment_id": "wegovy",
"category": "weight_loss",
"interval": "month",
"interval_count": 1,
"cycle_days": null,
"payment_method_brand": null,
"payment_method_last4": null,
"early_order_locked_until": null,
"early_order_locked": false
},
"subscriptions": [],
"last_canceled": null
}{
"detail": "Given token not valid for any token type",
"code": "token_not_valid",
"messages": [
{
"token_class": "AccessToken",
"token_type": "access",
"message": "Token is invalid"
}
]
}Billing
Get your subscription
The authenticated patient’s current plan, including current_period_end and whether a cancellation is already scheduled.
GET
/
v1
/
users
/
subscriptions
/
me
/
Get your subscription
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
No response body
⌘I